/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 20-Jan-2021, 4:37:36 pm
    Author     : Sandesh
*/
body{
    line-height: 1.15;
}
.xdebug-var-dump {
    margin-left: 250px;
}
.xdebug-var-dump:first-child {
    margin-top: 50px;
}

.content .xdebug-var-dump {
    margin-left: initial;
}
.content .xdebug-var-dump:first-child {
    margin-top: initial;
}

.modal .xdebug-var-dump {
    margin-left: inherit;
}
.modal .xdebug-var-dump:first-child {
    margin-top: inherit;
}

.wrapper {
    min-width: 98vw;
    /*width: max-content !important;*/
}
.layout-footer-fixed .wrapper .content-wrapper {
    padding-bottom: 10px; 
}
.container-fluid{
    overflow-x: auto;
}
.main-footer {
    padding: 0.4rem;
}
.brand-link {
    font-size: 1rem;
}

/*Added on 20210225*/
.navbar {
    padding: 0.4rem 0.5rem 0rem 0.5rem;
}
/*/.Added on 20210225*/
.nav-sidebar .nav-treeview {
    padding-left: 20px;
}

.nav-sidebar > .nav-item .nav-icon.fa, .nav-sidebar > .nav-item .nav-icon.fas, .nav-sidebar > .nav-item .nav-icon.far, .nav-sidebar > .nav-item .nav-icon.fab, .nav-sidebar > .nav-item .nav-icon.fal, .nav-sidebar > .nav-item .nav-icon.fad, .nav-sidebar > .nav-item .nav-icon.svg-inline--fa, .nav-sidebar > .nav-item .nav-icon.ion {
    font-size: 0.75rem;
}
.nav-sidebar .nav-link > .right, .nav-sidebar .nav-link > p > .right {
    top: inherit;
}
/*Added on 20210225*/
.layout-navbar-fixed .wrapper .content-wrapper {
    margin-top: calc(2.9rem + 1px);
}
/*/.Added on 20210225*/
.modal-header {
    padding: 0.5rem;
    border-bottom: 0;
    position: absolute;
    width: 100%;
}
.modal-header .close {
    margin: -1.65rem -1rem -1rem auto;
    z-index: 2050;
    color: red !important;
    font-size: 2rem;
    font-weight: bold;
}
.modal-body {
    padding: 0;
}

/*.card {
    margin-bottom: 0;
}*/
.card-header {
    background: #eceded;
}
/*.card-title {
    font-weight: 600;
}
.card-body {
    padding: 0.75rem;
}
.card-footer {
    padding: 0.5rem;
}*/
/*#page {
    overflow-y: auto;
    max-height: 80vh;
}*/

#page > .card > .card-body {
    overflow: auto;
    min-height: 76vh;
    max-height: 76vh;
}


h1, .h1 {
    font-size: 2.5rem !important;
}
h2, .h2 {
    font-size: 2rem !important;
}
h3, .h3 {
    font-size: 1.75rem !important;
}
h4, .h4 {
    font-size: 1.5rem !important;
}
h5, .h5 {
    font-size: 1.25rem !important;
}
h6, .h6 {
    font-size: 1rem !important;
}

.font-size-9{ font-size: 9px; }
.font-size-10{ font-size: 10px; }
.font-size-11{ font-size: 11px; }
.font-size-12{ font-size: 12px; }
.font-size-13{ font-size: 13px; }
.font-size-14{ font-size: 14px; }
.font-size-16{ font-size: 16px; }
.font-size-18{ font-size: 18px; }
.font-size-20{ font-size: 20px; }
.font-size-24{ font-size: 24px; }
.font-size-30{ font-size: 30px; }
.font-size-36{ font-size: 36px; }
.font-size-48{ font-size: 48px; }
.font-size-60{ font-size: 60px; }
.font-size-72{ font-size: 72px; }
.font-size-90{ font-size: 90px; }

/*Custom Fonts*/
@font-face {
    font-family: 'DV-TTYogeshEN';
    src: url('/assets/fonts/dv-ttyogeshen_normal-webfont.eot');
    src: url('/assets/fonts/dv-ttyogeshen_normal-webfont.eot?#iefix') format('embedded-opentype'),
        url('/assets/fonts/dv-ttyogeshen_normal-webfont.woff2') format('woff2'),
        url('/assets/fonts/dv-ttyogeshen_normal-webfont.woff') format('woff'),
        url('/assets/fonts/dv-ttyogeshen_normal-webfont.ttf') format('truetype'),
        url('/assets/fonts/dv-ttyogeshen_normal-webfont.svg#dv-ttyogeshennormal') format('svg');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Gopika';
    src: url('/assets/fonts/gopika-webfont.eot');
    src: url('/assets/fonts/gopika-webfont.eot?#iefix') format('embedded-opentype'),
        url('/assets/fonts/gopika-webfont.woff2') format('woff2'),
        url('/assets/fonts/gopika-webfont.woff') format('woff'),
        url('/assets/fonts/gopika-webfont.ttf') format('truetype'),
        url('/assets/fonts/gopika-webfont.svg#gopikaregular') format('svg');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Kruti Dev 010';
    src: url('/assets/fonts/k010-webfont.eot');
    src: url('/assets/fonts/k010-webfont.eot?#iefix') format('embedded-opentype'),
        url('/assets/fonts/k010-webfont.woff2') format('woff2'),
        url('/assets/fonts/k010-webfont.woff') format('woff'),
        url('/assets/fonts/k010-webfont.ttf') format('truetype'),
        url('/assets/fonts/k010-webfont.svg#kruti_dev_010regular') format('svg');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Nudi 01 e';
    src: url('/assets/fonts/nudi_01_e_b-webfont.eot');
    src: url('/assets/fonts/nudi_01_e_b-webfont.eot?#iefix') format('embedded-opentype'),
        url('/assets/fonts/nudi_01_e_b-webfont.woff2') format('woff2'),
        url('/assets/fonts/nudi_01_e_b-webfont.woff') format('woff'),
        url('/assets/fonts/nudi_01_e_b-webfont.ttf') format('truetype'),
        url('/assets/fonts/nudi_01_e_b-webfont.svg#nudi_01_ebold') format('svg');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Sanskrit';
    src: url('/assets/fonts/sanskrit-webfont.eot');
    src: url('/assets/fonts/sanskrit-webfont.eot?#iefix') format('embedded-opentype'),
        url('/assets/fonts/sanskrit-webfont.woff2') format('woff2'),
        url('/assets/fonts/sanskrit-webfont.woff') format('woff'),
        url('/assets/fonts/sanskrit-webfont.ttf') format('truetype'),
        url('/assets/fonts/sanskrit-webfont.svg#sanskritregular') format('svg');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Sanskrit New';
    src: url('/assets/fonts/sanskrit-new-webfont.eot');
    src: url('/assets/fonts/sanskrit-new-webfont.eot?#iefix') format('embedded-opentype'),
        url('/assets/fonts/sanskrit-new-webfont.woff2') format('woff2'),
        url('/assets/fonts/sanskrit-new-webfont.woff') format('woff'),
        url('/assets/fonts/sanskrit-new-webfont.ttf') format('truetype'),
        url('/assets/fonts/sanskrit-new-webfont.svg#sanskrit_newnormal') format('svg');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Shivaji01';
    src: url('/assets/fonts/shivaji01-webfont.eot');
    src: url('/assets/fonts/shivaji01-webfont.eot?#iefix') format('embedded-opentype'),
        url('/assets/fonts/shivaji01-webfont.woff2') format('woff2'),
        url('/assets/fonts/shivaji01-webfont.woff') format('woff'),
        url('/assets/fonts/shivaji01-webfont.ttf') format('truetype'),
        url('/assets/fonts/shivaji01-webfont.svg#shivaji01normal') format('svg');
    font-weight: normal;
    font-style: normal;
}
@font-face {
  font-family: 'Cambria';
  src: url('/assets/fonts/Cambria.eot');
  src: url('/assets/fonts/Cambria.eot?#iefix') format('embedded-opentype'),
       url('/assets/fonts/Cambria.svg#Cambria') format('svg'),
       url('/assets/fonts/Cambria.ttf') format('truetype'),
       url('/assets/fonts/Cambria.woff') format('woff'),
       url('/assets/fonts/Cambria.woff2') format('woff2');
  font-size: 14px;
  font-weight: normal;
  font-style: normal;
}
/* /.Custom Fonts*/
.base-font-family {
    font-family: sans-serif !important;
}
.hidden{
    display: none;
}
.form-error {
    color: blue !important;
    background-color: yellow;
    border-radius: 5px;
    padding: 5px 10px;
    position: absolute;
    width: fit-content;
    white-space: -moz-pre-wrap;
    white-space: -o-pre-wrap;
    white-space: normal;
    word-wrap: break-word;
    overflow-style: marquee-line;
    z-index: 100;
    box-shadow: 4px 10px 10px 0px gray;
    cursor: pointer;
    line-height: 0.8;
    border: 1px solid white;
}
.cs-error {
    background-color: yellow;
    border-color: #ebcccc;
    color: red;
    padding: 2px;
    margin: 10px;
    text-align: center !important;
    box-shadow: 0px 5px 7px -1px gray;
    border-radius: 4px;
    font-weight: 600;
}

.cs-loader{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1040;
    width: 100vw;
    height: 100vh;
    z-index: 3000;
    /*opacity: 0.3;*/
    background: #00000020;
}
.cs-loader .cs-loading {
    position: relative;
    top: 0;
    z-index: 5000;
    height: 100%;
    width: 350px;
    margin: auto;
    background: url(../images/loader.gif) 50% 50% no-repeat;
    background-size: 25% auto;
    background-position: center;
}

.page {
    /*font-size: 0.9rem;*/
    max-width: 98.5%;
    margin: -15px 10px 20px 10px;
    height: 100% !important;
    min-height: 100% !important; 
    /*overflow: auto !important;*/
}
.page-title, .page-title *{
    /*padding: 5px 0 0 5px;*/
    font-weight: bold;
}

.page-result{
    padding: 10px 0px;
    overflow-x: auto;
}

.page-card > .card-header {
    padding: 0.25rem;
    padding-left: 0.8rem;
}
.page-card .card-body {
    padding: 10px 10px;
}

.jconfirm {
    line-height: 1.5;
}

@media only screen and (min-width: 768px) {
    .text-rt {
        text-align: right !important;
        /*    vertical-align: middle !important;*/
    }
}
.cs-button {
    line-height: 1.2;
}
.dt-button {
    line-height: 0.9;
    /*padding: 0.3rem;*/
}

/*    Error Div    */
@-webkit-keyframes glowing {
    0% { -webkit-box-shadow: 0 0 10px 2px #B20000; }
    50% { -webkit-box-shadow: 0 0 10px 2px white; }
    100% { -webkit-box-shadow: 0 0 10px 2px #B20000; }
}

@-moz-keyframes glowing {
    0% { -moz-box-shadow: 0 0 10px 2px #B20000; }
    50% { -moz-box-shadow: 0 0 10px 2px white; }
    100% { -moz-box-shadow: 0 0 10px 2px #B20000; }
}

@-o-keyframes glowing {
    0% { box-shadow: 0 0 10px 2px #B20000; }
    50% { box-shadow: 0 0 10px 2px white; }
    100% { box-shadow: 0 0 10px 2px #B20000; }
}

@keyframes glowing {
    0% { box-shadow: 0 0 10px 2px #B20000; }
    50% { box-shadow: 0 0 10px 2px white; }
    100% { box-shadow: 0 0 10px 2px #B20000; }
}
/*    Error Div    */
@-webkit-keyframes pulsating {
    0% { -webkit-box-shadow: 0 0 15px 10px red; }
    50% { -webkit-box-shadow: 0 0 15px 10px white; }
    100% { -webkit-box-shadow: 0 0 15px 10px red; }
}

@-moz-keyframes pulsating {
    0% { -moz-box-shadow: 0 0 15px 10px red; }
    50% { -moz-box-shadow: 0 0 15px 10px white; }
    100% { -moz-box-shadow: 0 0 15px 10px red; }
}

@-o-keyframes pulsating {
    0% { box-shadow: 0 0 15px 10px red; }
    50% { box-shadow: 0 0 15px 10px white; }
    100% { box-shadow: 0 0 15px 10px red; }
}

@keyframes pulsating {
    0% { box-shadow: 0 0 15px 10px red; }
    50% { box-shadow: 0 0 15px 10px white; }
    100% { box-shadow: 0 0 15px 10px red; }
}
.pulse-div {
    -webkit-animation: pulsating 1500ms infinite;
    -moz-animation: pulsating 1500ms infinite;
    -o-animation: pulsating 1500ms infinite;
    animation: pulsating 1500ms infinite;
    border-radius: 3px;
    background: transparent;
    color: white;
    /*width: auto;*/
    margin: 0 auto;
    /*    min-width: 200px;*/
}
.error-div {
    -webkit-animation: glowing 1500ms infinite;
    -moz-animation: glowing 1500ms infinite;
    -o-animation: glowing 1500ms infinite;
    animation: glowing 1500ms infinite;
    border-radius: 3px;
    background: transparent;
    /*color: white;*/
    /*width: auto;*/
    margin: 0 auto;
    /*    min-width: 200px;*/
}

@-webkit-keyframes txtshadow {
    0% { -webkit-box-shadow: 0 0 3px #B20000; }
    50% { -webkit-box-shadow: 0 0 40px white; }
    100% { -webkit-box-shadow: 0 0 3px #B20000; }
}

@-moz-keyframes anm-show-msg {
    0% { text-shadow: 0 10px 0px white; }
    30% { text-shadow: 0 10px 40px green; }
    100% { text-shadow: 0 10px 0px blue; }
}

@-o-keyframes anm-show-msg {
    0% { text-shadow: 0 10px 0px white; }
    30% { text-shadow: 0 10px 40px green; }
    100% { text-shadow: 0 10px 0px blue; }
}
@keyframes anm-show-msg {
    0% { text-shadow: 0 10px 0px blue; }
    50% { text-shadow: 0 10px 40px green; }
    100% { text-shadow: 0 10px 0px white; }
}
.msg-text, .err-text {
    -webkit-animation: anm-show-msg 1500ms infinite;
    -moz-animation: anm-show-msg 1500ms infinite;
    -o-animation: anm-show-msg 1500ms infinite;
    animation: anm-show-msg 1500ms infinite;
    /*animation: hideafter 3s forwards;*/
    border-radius: 3px;
    width: auto;
    margin: 0 auto 10px auto;
    min-width: 200px;
    z-index: 100;
} 
.msg-text{
    background: transparent;
    color: green;
}
.err-text{
    background: lightyellow;
    color: red;
}
@keyframes hideafter  { to { visibility: hidden; } }

div.error-div{
    text-align: center;
    font-weight: bold;
}

.success-msg {
    color: #155724;
    background-color: #d4edda;
    border-color: #c3e6cb;
    border-radius: 5px;
    padding: 0 10px;
    position: absolute;
    width: fit-content;
    white-space: -moz-pre-wrap;
    white-space: -o-pre-wrap;
    white-space: nowrap;
    word-wrap: break-word;
    overflow-style: marquee-line;
    z-index: 100;
    box-shadow: 4px 10px 17px 0px gray;
    cursor: pointer;
}

.cs-datatable{
    border-collapse: collapse;
    width: 100%;
}

.cs-datatable tr td{
    white-space: initial;
    /*word-break: break-word;*/
}

.index-table, .my-table{
    border-collapse: collapse;
    width: 100%;
}
table.dataTable {
    border-collapse: collapse !important;
}
.index-table tbody tr, .index-table thead tr,
.my-table tbody tr, .my-table thead tr{
    border-radius: 5px;
}
.index-table tbody tr th, .index-table thead tr th,
.my-table tbody tr th, .my-table thead tr th{
    background: #42606e;
    /*background: linear-gradient(white, var(--bgcolor));*/
    color: white;
    /*border-radius: 5px;*/
}
.index-table tbody tr:nth-child(odd),
.my-table tbody tr:nth-child(odd){
    background: #f1f2f3;
    background: var(--bgodd);
}
.index-table tbody tr:nth-child(even),
.my-table tbody tr:nth-child(even){
    background: #e3e6e7;
}
.index-table tbody tr th, .index-table tbody tr td,
.my-table tbody tr th, .my-table tbody tr td{
    border: 1px solid #9fa8af;
}

.child-table{
    /*border-collapse: separate;*/
    margin: auto;
    min-width: 90% !important;
    width: 90%;
    width: auto;
}
.child-table tbody tr, .child-table thead tr, .child-table tfoot tr{
    border-radius: 5px;
}
.child-table tbody tr th, .child-table thead tr th,
.child-table tfoot tr th {
    /*background: #42606e;*/
    background: #d5d5d5;
    /*background: linear-gradient(white, var(--bgcolor));*/
    color: black;
    /*border-radius: 5px;*/
}
.child-table tbody tr:nth-child(odd),
.child-table tfoot tr:nth-child(odd){
    background: #fff2f2;
}
.child-table tbody tr:nth-child(even),
.child-table tfoot tr:nth-child(even){
    background: #ffe5e5;
}
.child-table thead tr th, .child-table tbody tr td, .child-table tfoot tr td{
    border: 1px solid #eceded;
    padding: 5px;
}

[class*="icheck-"] {
    padding-left: 10px;
}

.label-required:after {
    content:" *";
    color:red;
}


.select2-container--default .select2-selection--multiple .select2-selection__choice {
    padding: 6px 10px;
    line-height: 0.5;
}

.mce-branding {
    display: none !important;
}

.cs-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}


.cs-noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                          supported by Chrome, Edge, Opera and Firefox */
}

small-xs, .small-xs {
    font-size: 70%;
    font-weight: 100;
}
small-sm, .small-sm {
    font-size: 85%;
    line-height: 0.75;
    font-weight: 100;
}

.badge p {
    margin: 0;
}

#similarQues {
    position: absolute;
    z-index: 500;
    background: lightgrey;
    border: 1px solid;
    border-radius: 6px;
    padding: 3px 10px;
    height: 40vh;
    width: 60vw;
    overflow-y: auto;
    opacity: 0.7;
}

.page-link {
    padding: 0.4rem 0.5rem;
}

.modal-body .card{
    margin-bottom: 0px;
}

.wrs_tickContainer{
	display: none !important;
}

.w-5 {
  width: 5% !important;
}
.w-10 {
  width: 10% !important;
}
.w-15 {
  width: 15% !important;
}
.w-20 {
  width: 20% !important;
}